View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000123Ecere SDKecerepublic2008-08-22 06:502012-03-29 07:53
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000123: EditBox Undo Bug:
DescriptionWhen pressing enter past a line, it won't add extra spaces, but Undo will ADD extra spaces there.
TagsNo tags attached.
Attached Files

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
(0000082)
jerome (administrator)
2008-08-22 14:46

In EditBox::AddS, limited x to this.line.count as follows when recording action:

action = AddTextAction { y1 = y, x1 = Min(this.line.count, x), string = CopyString(string) };

- Issue History
Date Modified Username Field Change
2008-08-22 06:50 jerome New Issue
2008-08-22 06:50 jerome Status new => assigned
2008-08-22 06:50 jerome Assigned To => jerome
2008-08-22 14:46 jerome Status assigned => resolved
2008-08-22 14:46 jerome Resolution open => fixed
2008-08-22 14:46 jerome Note Added: 0000082
2009-05-03 03:43 jerome Status resolved => closed
2010-07-25 21:30 redj Relationship added child of 0000429
2010-07-25 21:37 redj Relationship deleted child of 0000429
2010-07-25 21:37 redj Relationship added child of 0000433
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker